# Statut de la transaction

## Benin Togo&#x20;

Utilisé l'url en fonction du pays referez vous aux fichiers Json dans la partie Introduction

```url
POST {context}/QosicBridge/user/gettransactionstatus
```

{% tabs %}
{% tab title=" Request" %}
{% code title="Content-Type: application/json\[Basic Authentication headers]" overflow="wrap" lineNumbers="true" %}

```json
    {
       "transref" : "12345",
        "clientid": "QOS3P001"
    }
```

{% endcode %}

{% endtab %}

{% tab title="Success" %}
{% code title="" overflow="wrap" lineNumbers="true" %}

```json
{
   "responsecode": "00",
   "responsemsg": "SUCCESSFUL",
   "transref": "12345",
   "comment": "TRANSACTION APPROVED AND PROCESSED SUCCESSFULLY"
 }
```

{% endcode %}
{% endtab %}

{% tab title="Error" %}
{% code title="" overflow="wrap" lineNumbers="true" %}

```json
  {
   "responsecode": "-2",
   "responsemsg": "INVALID CLIENT ID",
   "transref": "12345",
   "comment": "CLIENT ID DOES NOT EXIST"
}
```

{% endcode %}
{% endtab %}
{% endtabs %}

## <mark style="color:green;">`Exception`</mark>

#### <mark style="background-color:blue;">`Mtn Bénin`</mark>&#x20;

Verification d'une transaction chez mtn si sur votre dashboard le status est a pending

```
POST {context}/QosicBridge/user/gettransactionstatusV2
```

{% tabs %}
{% tab title="Request" %}
{% code title="Content-Type: application/json\[Basic Authentication headers]" overflow="wrap" lineNumbers="true" %}

```json
    {
       "transref" : "12345",
        "clientid": "QOS3P001"
    }
```

{% endcode %}
{% endtab %}

{% tab title="Success" %}
{% code title="" overflow="wrap" lineNumbers="true" %}

```json
{
   "responsecode": "00",
   "responsemsg": "SUCCESSFUL",
   "transref": "12345",
   "comment": "TRANSACTION APPROVED AND PROCESSED SUCCESSFULLY"
 }
```

{% endcode %}
{% endtab %}

{% tab title="Error" %}

```json
{
   "responsecode": "-2",
   "responsemsg": "INVALID CLIENT ID",
   "transref": "12345",
   "comment": "CLIENT ID DOES NOT EXIST"
}
```

{% endtab %}
{% endtabs %}

<mark style="background-color:blue;">`Moov Bénin`</mark>

```url
POST {context}/QosicBridge/user/gettransactionstatus2mv
```

{% tabs %}
{% tab title="Request" %}

<pre class="language-json"><code class="lang-json"><strong>//Content-Type: application/json[Basic Authentication headers]Some code
</strong><strong>{
</strong><strong>    "clientid": "****", 
</strong>    "transref":"xxx811085", 
<strong>    "specialfield1":"82024051400161709"
</strong>}
</code></pre>

{% endtab %}

{% tab title="Success" %}

```json
{
   "responsecode": "00",
   "responsemsg": "SUCCESSFUL",
   "transref": "12345",
   "comment": "TRANSACTION APPROVED AND PROCESSED SUCCESSFULLY"
 }
```

{% endtab %}

{% tab title="Error" %}

```json
{
  "responsecode": "-2",
  "responsemsg": "INVALID CLIENT ID",
  "transref": "12345",
  "comment": "CLIENT ID DOES NOT EXIST"
}
```

{% endtab %}
{% endtabs %}

<mark style="background-color:blue;">`Celtiis Bénin`</mark>

```url
POST {context}/QosicBridge/sb/v1/gettransactionstatus
```

{% tabs %}
{% tab title="Request" %}

<pre class="language-json"><code class="lang-json"><strong>//Content-Type: application/json[Basic Authentication headers]
</strong><strong>
</strong><strong>{
</strong><strong>   "clientid":"***",
</strong><strong>   "transref":"xxx811085"
</strong><strong>}
</strong><strong>
</strong></code></pre>

{% endtab %}

{% tab title="Success" %}

```json
{
   "responsecode": "00",
   "responsemsg": "SUCCESSFUL",
   "transref": "12345",
   "comment": "TRANSACTION APPROVED AND PROCESSED SUCCESSFULLY"
 }
```

{% endtab %}

{% tab title="Error" %}

```json
{
   "responsecode": "-2",
   "responsemsg": "INVALID CLIENT ID",
   "transref": "12345",
   "comment": "CLIENT ID DOES NOT EXIST"
}
```

{% endtab %}
{% endtabs %}

***

***

<table><thead><tr><th width="147">Element</th><th width="210">Type</th><th>Decription</th></tr></thead><tbody><tr><td>transref</td><td><mark style="color:orange;"><code>string:MANDATORY</code></mark></td><td>The Unique generated id provided by Qos</td></tr><tr><td>clientid</td><td><mark style="color:orange;"><code>string:MANDATORY</code></mark></td><td>The transaction reference of the payment transaction</td></tr><tr><td>specialfield1</td><td><mark style="color:orange;"><code>string: MANDATORY</code></mark></td><td>The transaction id in sms  received by operator and it is required</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://qosic.gitbook.io/api-documentation/statut-de-la-transaction.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
